Bug 466598 - [RV370] X550 XRandR Dual screen doesn't work with kernel modesetting
[RV370] X550 XRandR Dual screen doesn't work with kernel modesetting
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 22:37 EDT by Gordon Messmer
Modified: 2009-11-05 13:43 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 15:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with KMS and mirroring despite of configuration (325.53 KB, text/plain)
2008-12-03 09:42 EST, Mads Kiilerich
no flags Details

  None (edit)
Description Gordon Messmer 2008-10-10 22:37:04 EDT
Description of problem:
I'm using an ATI video card with dual output.  If I allow the kernel to do modesetting, gnome-display-properties will show two "screens" in its display layout box, and allow me to reorganize them.  However, no change that I make in that box has any effect on the actual displays.  The two remain mirrored, which is the default mode of operation.

I'm not sure if this is a control-center bug or an X bug.  As far as I can tell, xrandr just isn't compatible with kernel modesetting.


Version-Release number of selected component (if applicable):
control-center-2.24.0.1-5.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot with the default settings for F10 beta
2. start gnome-display-properties
3. uncheck "mirror screens" if it's checked
4. move one monitor to the left of the other
5. click apply
  
Actual results:
None

Expected results:
Displays should not mirror each other.  They should produce a wider desktop.
Comment 1 Bernie Innocenti 2008-11-17 22:26:55 EST
Happens also with an Intel GM45 videocard (xorg-x11-drv-intel).

So it might be unrelated to the driver.
Comment 2 Bernie Innocenti 2008-11-17 22:34:22 EST
Reassigning to control-center for gnome-display-settings.
Comment 3 Bastien Nocera 2008-11-18 06:02:23 EST
How did you come to the conclusion that this was a problem with gnome-display-properties? (gnome-display settings doesn't exist).

What's in your ~/.config/monitors.xml ?
Comment 4 Gordon Messmer 2008-11-18 11:20:02 EST
I thought the bug had been assigned to the ATI driver before Bernie reassigned it.  The problem appears to be that when using kernel modesetting, it's not possible to reconfigure additional displays with XRandR.
Comment 5 Bernie Innocenti 2008-11-18 12:34:59 EST
(In reply to comment #3)
> How did you come to the conclusion that this was a problem with
> gnome-display-properties? (gnome-display settings doesn't exist).

I pointed my finger at gnome-display-properties because xrandr
works for me, but comment #4 seems to imply otherwise.  We might
want to reassign this bug back to the ATI driver and then I'll
file a new one for my case.

> What's in your ~/.config/monitors.xml ?

<monitors version="1">
  <configuration>
      <clone>no</clone>
      <output name="VGA">
      </output>
      <output name="HDMI-1">
      </output>
      <output name="HDMI-2">
      </output>
      <output name="LVDS">
          <vendor>LEN</vendor>
          <product>0x4014</product>
          <serial>0x00000000</serial>
          <width>1440</width>
          <height>900</height>
          <rate>50</rate>
          <x>0</x>
          <y>0</y>
          <rotation>normal</rotation>
          <reflect_x>no</reflect_x>
          <reflect_y>no</reflect_y>
      </output>
  </configuration>
  <configuration>
      <clone>no</clone>
      <output name="HDMI-1">
      </output>
      <output name="HDMI-2">
      </output>
      <output name="LVDS">
          <vendor>LEN</vendor>
          <product>0x4014</product>
          <serial>0x00000000</serial>
          <width>1440</width>
          <height>900</height>
          <rate>50</rate>
          <x>0</x>
          <y>0</y>
          <rotation>normal</rotation>
          <reflect_x>no</reflect_x>
          <reflect_y>no</reflect_y>
      </output>
      <output name="VGA">
          <vendor>MEL</vendor>
          <product>0x3065</product>
          <serial>0x0000097e</serial>
          <width>1024</width>
          <height>768</height>
          <rate>85</rate>
          <x>1440</x>
          <y>0</y>
          <rotation>normal</rotation>
          <reflect_x>no</reflect_x>
          <reflect_y>no</reflect_y>
      </output>
  </configuration>
</monitors>
Comment 6 Bug Zapper 2008-11-25 22:46:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Mads Kiilerich 2008-12-03 09:42:16 EST
Created attachment 325541 [details]
Xorg.0.log with KMS and mirroring despite of configuration

I saw this when I enabled KMS:

My system worked fine with dual head configured with control-center - as long as I didn't have KMS. When I booted with KMS I didn't get dual display (only mirroring), and control-center correctly reported that. When I configured dual-head it wrote it correctly to monitors.xml but (obviously) didn't (couldn't) apply it.

Currently that is the only reason I can't use KMS.

I think this should be assigned to xorg-x11-drv-ati. The intel behaviour could be because of shared code or just another bug. I don't see how this can be related to control-center.

kernel-2.6.27.7-130.fc10.i686 kernel modeset
xorg-x11-drv-ati-6.9.0-60.fc10.i386 no xorg.conf
01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series]
Comment 8 Samuel Sieb 2008-12-23 00:15:32 EST
I have an onboard RS690 and when KMS was enabled, I get a phantom "unknown" screen mirrored with the real one.  This causes the default resolution to be 800x600 and when I use the display resolution applet to change it, I get very strange effects like the desktop doesn't quite recognize the new size.  When I used "nomodeset" for the kernel, the phantom screen goes away and everything works properly.
Comment 9 Mads Kiilerich 2009-01-02 09:58:06 EST
Problem verified with
xorg-x11-drv-ati-6.9.0-63.fc10.i386 no xorg.conf
kernel-2.6.27.10-167.fc10.i686 modeset
01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series]
01:00.1 Display controller: ATI Technologies Inc RV516 [Radeon X1300 Pro] (Secondary)
Comment 10 Mads Kiilerich 2009-03-06 09:11:17 EST
FWIW it works for me in rawhide with

xorg-x11-drv-ati-6.11.0-3.fc11.i586
kernel-PAE-2.6.29-0.203.rc7.fc11.i686
Comment 11 Mads Kiilerich 2009-05-16 19:15:02 EDT
Gordon Messmer, please confirm whether you still see any problems. Leaving it open even though it has been solved might cost both users and developers valuable time.
Comment 12 Gordon Messmer 2009-05-21 12:35:00 EDT
On my system, the problem is not resolved.  I have tested this with Fedora 10 and with rawhide with all updates.

Under Fedora 10, currently, the two attached monitors are mirrored despite Xorg's configuration which correctly produces a wide screen when KMS is not in use.  Xorg appears to have a wide screen internally, but both monitors show what should be in the left monitor only.  If I fiddle with the gnome-display-properties application, moving "monitors" left and right, eventually the physical displays will stop mirroring and display the left and right halves of Xorg's screen.  When this happens, both screens contents are completely corrupted, but will be restored as various parts of the screen are repainted (by mouse-over a button, for instance).

lspci:
02:00.0 VGA compatible controller: ATI Technologies Inc RV370 [Sapphire X550 Silent]
02:00.1 Display controller: ATI Technologies Inc RV370 secondary [Sapphire X550 Silent]
Comment 13 Vedran Miletić 2009-09-06 02:41:46 EDT
Reporter, please retry with Fedora 12 Snap1 (from http://torrent.fedoraproject.org/) to see if issue still exists.
Comment 14 Vedran Miletić 2009-10-15 15:08:07 EDT
Reporter doesn't reply, and, judging by many changes in ATI driver, this bug is likely irrelevant.

Closing. If anyone can reproduce it, please reopen.
Comment 15 Gordon Messmer 2009-11-05 13:43:08 EST
I've tested this with F12 Beta.  It finally works for me.

Note You need to log in before you can comment on or make changes to this bug.